Bug 184495 - current kernels don't recognise my DVD/CD RW drive as a scsi drive without hdc=noprobe
current kernels don't recognise my DVD/CD RW drive as a scsi drive without hd...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2006-03-09 05:33 EST by Rodd Clarkson
Modified: 2013-07-02 22:27 EDT (History)
4 users (show)

See Also:
Fixed In Version: Fedora 7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 21:17:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2006-03-09 05:33:14 EST
Description of problem:

Using current kernels, my DVD/CD RW drive is not recognised as a scsi drive with
out passing hdc=noprobe.

This seriously hampers perfomance with the drive making it slow to burn (and
often burns fail when attempted at full speed) and also movies can't be played
without stuttering.

The laptop I'm using is a Dell Inspiron 9300.  There were some concerns (in
discussion on fedora-devel) that I had made changes to my BIOS, but I have reset
my BIOS and I couldn't find anything that might be related to what they are
suggesting.

There's a little more information about hardware below.  What else do you want
to know?

/sbin/lspci shows:

[rodd@localhost ~]$ /sbin/lspci
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 915GM/PM Express PCI Express Root
Port (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW
(ICH6 Family) AC'97 Audio Controller (rev 03)
00:1e.3 Modem: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem
Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801FBM (ICH6M) SATA Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus
Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation NV41.8 [GeForce Go 6800]
(rev a2)
03:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
03:01.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b3)
03:01.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller (rev 08)
03:01.2 Class 0805: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 17)
03:03.0 Network controller: Intel Corporation PRO/Wireless 2915ABG MiniPCI
Adapter (rev 05)
[rodd@localhost ~]$

The DVD/CD RW is (using lshal)

udi = '/org/freedesktop/Hal/devices/storage_model_DVD__RW_ND_6500A'
  info.addons = {'hald-addon-storage'} (string list)
  block.storage_device =
'/org/freedesktop/Hal/devices/storage_model_DVD__RW_ND_6500A'  (string)
  info.udi = '/org/freedesktop/Hal/devices/storage_model_DVD__RW_ND_6500A'  (string)
  storage.cdrom.write_speeds = {'4234', '2822', '1764', '1411', '706'} (string list)
  storage.cdrom.write_speed = 4234  (0x108a)  (int)
  storage.cdrom.read_speed = 4234  (0x108a)  (int)
  storage.cdrom.support_media_changed = true  (bool)
  storage.cdrom.hddvdrw = false  (bool)
  storage.cdrom.hddvdr = false  (bool)
  storage.cdrom.hddvd = false  (bool)
  storage.cdrom.bdre = false  (bool)
  storage.cdrom.bdr = false  (bool)
  storage.cdrom.bd = false  (bool)
  storage.cdrom.dvdplusrdl = true  (bool)
  storage.cdrom.dvdplusrw = true  (bool)
  storage.cdrom.dvdplusr = true  (bool)
  storage.cdrom.dvdram = false  (bool)
  storage.cdrom.dvdrw = false  (bool)
  storage.cdrom.dvdr = true  (bool)
  storage.cdrom.dvd = true  (bool)
  storage.cdrom.cdrw = true  (bool)
  storage.cdrom.cdr = true  (bool)
  storage.requires_eject = true  (bool)
  storage.hotpluggable = false  (bool)
  info.capabilities = {'storage', 'block', 'storage.cdrom'} (string list)
  info.category = 'storage'  (string)
  info.product = 'DVD+-RW ND-6500A'  (string)
  info.vendor = '_NEC'  (string)
  storage.removable = true  (bool)
  storage.physical_device =
'/org/freedesktop/Hal/devices/pci_8086_2653_scsi_host_scsi_device_lun0'  (string)
  storage.lun = 0  (0x0)  (int)
  storage.firmware_version = '202C'  (string)
  storage.vendor = '_NEC'  (string)
  storage.model = 'DVD+-RW ND-6500A'  (string)
  storage.drive_type = 'cdrom'  (string)
  storage.automount_enabled_hint = true  (bool)
  storage.media_check_enabled = true  (bool)
  storage.no_partitions_hint = true  (bool)
  storage.bus = 'scsi'  (string)
  block.is_volume = false  (bool)
  block.minor = 0  (0x0)  (int)
  block.major = 11  (0xb)  (int)
  block.device = '/dev/scd0'  (string)
  linux.hotplug_type = 3  (0x3)  (int)
  info.parent =
'/org/freedesktop/Hal/devices/pci_8086_2653_scsi_host_scsi_device_lun0'  (string)
  linux.sysfs_path_device = '/sys/block/sr0'  (string)
  linux.sysfs_path = '/sys/block/sr0'  (string)
Comment 1 Rodd Clarkson 2006-03-09 05:41:36 EST
Ah, damn, forgot to mention kernel versions.

kernel-2.6.15-1.2025_FC5 is confirmed as a problem.

kernel-2.6.15-1.2032_FC5 will be tested shortly (but not holding my breath).

All kernels before this (from fc5t3) haven't worked.

Kernels before fc5t3 also didn't work (although I think there were one or two
kernels that did work at one stage.  Don't quote me on this).
Comment 2 Dave Jones 2006-10-16 15:34:25 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Rodd Clarkson 2006-10-20 19:24:03 EDT
Okay, I've tested this with 2.6.18-1.2200.fc5.

If I remove the hdc=noprobe from the boot command line, the DVD player works,
inserted media is detected (it shows up on my gnome desktop) BUT it is mounted
as /dev/hdc.

If I retain the hdc=noprobe, then inserted media isn't detected and the drive
isn't mounted.

This seems to be a regression from the last kernel which would detect media and
mount it as scsi when given the hdc=nomount command.
Comment 4 Rodd Clarkson 2006-10-20 19:26:59 EDT
Not sure what to set status too? And it still seems to be needinfo
Comment 5 Dave Jones 2006-10-20 19:29:38 EDT
Is this a SATA drive ?  (If so, is it set to 'combined' or 'legacy' mode in the
bios?)

Can you attach the output of dmesg ?
Comment 6 Rodd Clarkson 2006-10-30 19:34:50 EST
Yes, it is a SATA drive (or at least I believe it is.  Setting hdc=noprobe sees
the drive mounted as a scsi device and also sees it performing much
better/faster - how would I tell for sure).

I don't believe the bios on my Dell Inspiron 9300 has this option.  I've been
told to look for it before and have, but haven't been successful in finding it
in the bios settings.

I'll try to attach dmesg when I get a change.  I've been runnning FC6 of late so
haven't been using FC5 much.

On this, I still have to pass the hdc=noprobe option in FC6 to get my DVD drive
to work as a SATA device (mounts as scsi) and to get the better performance.
Comment 7 Rodd Clarkson 2007-02-26 18:05:03 EST
I'm not sure whether this is addressed in FC5, I've moved to FC6 at this stage
and I'm testing FC7 (rawhide).

I noticed that I no longer need to pass hdc=noprobe in fc7 (and in fact, while I
told the installer to do this, it never appeared in /boot/grub/grub.conf).  I'm
not sure whether recent upgrades to the kernel in FC6 have resolved this issue,
but I guess I should try again soon.

Is it time to mark this bug resolved?
Comment 8 Jens Knutson 2007-07-19 00:54:12 EDT
I used to have these problems as well, but I haven't had a single issue like
this in F7.  I suggest marking resolved, too.

Note You need to log in before you can comment on or make changes to this bug.